﻿
namespace ProjectSeaplane.Entities;
/// <summary>
/// Класс-сущность "Гидросамолет"
/// </summary>
public class EntitySeaplane : EntityBasicSeaplane
{
   
    /// <summary>
    /// Дополнительный (для опциональных частей)
    /// </summary>
    public Color AdditionalColor { get; private set; }
    /// <summary>
    /// Тип "шасси" (0 - лодочный, 1 - поплавковый)
    /// </summary>
    public bool LandingGear { get; private set; }
    /// <summary>
    /// Признак наличия радара
    /// </summary>
    public bool Radar { get; private set; }

    /// <summary>
    /// Конструктор
    /// </summary>
    /// <param name="additionalColor">Дополнительный цвет</param>
    /// <param name="landingGear">Тип "шасси"</param>
    /// <param name="radar">При</param>
   
    public EntitySeaplane(int speed, double weight, Color bodyColor, Color additionalColor, bool landingGear, bool radar) : base(speed, weight, bodyColor)
    {
       
        AdditionalColor = additionalColor;
        LandingGear = landingGear;
        Radar = radar;

    }
}
